1.1

1.1

get /v1/groups

Description

List Groups

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Group 이름
Example : TestGroup
any of [string, null]None
querytypes
optional
Group Types
Example : USER_DEFINED,DEFAULT
any of [string, null]None
queryids
optional
Group IDs
Example : 629114aa440b456797cc5da5d3d2ef5d,f2b62d3cba5f42a796783266507ce765
any of [string, null]None
queryhas_member
optional
Group Member 존재 여부
Example : false
any of [string, null]None
queryhas_role
optional
Group Role 존재 여부
Example : false
any of [string, null]None
queryis_completed
optional
Group 완결 여부
Example : false
any of [string, null]None
querycreator_name
optional
Group 생성자 성, 이름
Example : Kim Samsung
any of [string, null]None
querycreator_email
optional
Group 생성자 Email
Example : samsung.kim@samsung.com
any of [string, null]None
querymodifier_name
optional
Group 수정자 성, 이름
Example : Kim Samsung
any of [string, null]None
querymodifier_email
optional
Group 수정자 Email
Example : samsung.kim@samsung.com
any of [string, null]None
queryexclude_user_id
optional
제외할 사용자 ID
Example : f39c460fade34fecb05ede8f904b24b7
any of [string, null]None
queryexclude_policy_id
optional
제외할 정책 ID
Example : 37f2e31ff86b415698d7e8eeafab445d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGroupPageResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "groups": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
            "creator_email": "samsung.kim@samsung.com",
            "creator_name": "Kim Samsung",
            "description": "Descriptions for group",
            "domain_name": "scp",
            "id": "f39c460fade34fecb05ede8f904b24b7",
            "members": [
                {
                    "created_at": "2024-05-17T00:23:17Z",
                    "created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
                    "creator_created_at": "2024-05-17T00:23:17Z",
                    "creator_email": "samsung.kim@samsung.com",
                    "creator_last_login_at": "2024-05-17T00:23:17Z",
                    "creator_name": "Kim Samsung",
                    "group_names": [
                        "TestGroup",
                        "SampleGroup"
                    ],
                    "user_created_at": "2024-05-17T00:23:17Z",
                    "user_email": "samsung.kim@samsung.com",
                    "user_id": "f39c460fade34fecb05ede8f904b24b7",
                    "user_last_login_at": "2024-05-17T00:23:17Z",
                    "user_name": "Kim Samsung"
                }
            ],
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
            "modifier_email": "samsung.kim@samsung.com",
            "modifier_name": "Kim Samsung",
            "name": "TestGroup",
            "policies": [],
            "resource_type": "group",
            "roles": [],
            "service_name": "Identity Access Management",
            "service_type": "iam",
            "srn": "srn:dev1:::::iam:group/0e0688b33641451a83d2ab8878666fda",
            "type": "USER_DEFINED"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}